org.eclipse.net4j.util.collection

## Class HashBag<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.HashBag<T>

- All Implemented Interfaces:
    java.lang.Iterable<T>, java.util.Collection<T>, java.util.Set<T>

      public final class HashBag<T>
      extends java.lang.Object
      implements java.util.Set<T>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashBag()`
    `HashBag(int initialCapacity)`
    `HashBag(int initialCapacity, float loadFactor)`
    `HashBag(java.util.Map<? extends T,? extends org.eclipse.net4j.util.collection.HashBag.Counter> m)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(T o)`
    `boolean` | `add(T o, int count)`
    `boolean` | `addAll(java.util.Collection<? extends T> c)`
    `void` | `clear()`
    `boolean` | `contains(java.lang.Object o)`
    `boolean` | `containsAll(java.util.Collection<?> c)`
    `int` | `getCounterFor(T o)`
    `boolean` | `isEmpty()`
    `java.util.Iterator<T>` | `iterator()`
    `boolean` | `remove(java.lang.Object o)`
    `boolean` | `remove(java.lang.Object o, int count)`
    `boolean` | `removeAll(java.util.Collection<?> c)`
    `int` | `removeCounterFor(T o)`
    `boolean` | `retainAll(java.util.Collection<?> c)`
    `int` | `size()`
    `java.lang.Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] a)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `equals, hashCode, spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### HashBag

          public HashBag()

    - #### HashBag

          public HashBag(int initialCapacity,
                         float loadFactor)

    - #### HashBag

          public HashBag(int initialCapacity)

    - #### HashBag

          public HashBag(java.util.Map<? extends T,? extends org.eclipse.net4j.util.collection.HashBag.Counter> m)

  - ### Method Detail

    - #### getCounterFor

          public int getCounterFor(T o)

      Since:
        3.0

    - #### removeCounterFor

          public int removeCounterFor(T o)

      Since:
        3.7

    - #### add

          public boolean add(T o)

      Specified by:
        `add` in interface `java.util.Collection<T>`
      Specified by:
        `add` in interface `java.util.Set<T>`

    - #### add

          public boolean add(T o,
                             int count)

      Since:
        3.4

    - #### addAll

          public boolean addAll(java.util.Collection<? extends T> c)

      Specified by:
        `addAll` in interface `java.util.Collection<T>`
      Specified by:
        `addAll` in interface `java.util.Set<T>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<T>`
      Specified by:
        `clear` in interface `java.util.Set<T>`

    - #### contains

          public boolean contains(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<T>`
      Specified by:
        `contains` in interface `java.util.Set<T>`

    - #### containsAll

          public boolean containsAll(java.util.Collection<?> c)

      Specified by:
        `containsAll` in interface `java.util.Collection<T>`
      Specified by:
        `containsAll` in interface `java.util.Set<T>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection<T>`
      Specified by:
        `isEmpty` in interface `java.util.Set<T>`

    - #### iterator

          public java.util.Iterator<T> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<T>`
      Specified by:
        `iterator` in interface `java.util.Collection<T>`
      Specified by:
        `iterator` in interface `java.util.Set<T>`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<T>`
      Specified by:
        `remove` in interface `java.util.Set<T>`

    - #### remove

          public boolean remove(java.lang.Object o,
                                int count)

      Since:
        3.4

    - #### removeAll

          public boolean removeAll(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<T>`
      Specified by:
        `removeAll` in interface `java.util.Set<T>`

    - #### retainAll

          public boolean retainAll(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<T>`
      Specified by:
        `retainAll` in interface `java.util.Set<T>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<T>`
      Specified by:
        `size` in interface `java.util.Set<T>`

    - #### toArray

          public java.lang.Object[] toArray()

      Specified by:
        `toArray` in interface `java.util.Collection<T>`
      Specified by:
        `toArray` in interface `java.util.Set<T>`

    - #### toArray

          public <T> T[] toArray(T[] a)

      Specified by:
        `toArray` in interface `java.util.Collection<T>`
      Specified by:
        `toArray` in interface `java.util.Set<T>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html